import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeCheckboxGroupComponent from "../checkbox/src/group.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeCheckboxGroup = Object.assign(VxeCheckboxGroupComponent, {
  install(app) {
    app.component(VxeCheckboxGroupComponent.name, VxeCheckboxGroupComponent);
  }
});
dynamicApp.use(VxeCheckboxGroup);
VxeUI.component(VxeCheckboxGroupComponent);
const CheckboxGroup = VxeCheckboxGroup;
export {
  CheckboxGroup,
  VxeCheckboxGroup,
  VxeCheckboxGroup as default
};
